%bcond_without opengl
Summary: An official reference implementation of the JPEG-2000 Part-1 standard.
Name:    jasper
Version: 4.0.0
Release: 6%{?dist}
License: JasPer
URL:     http://www.ece.uvic.ca/~frodo/jasper/
Source0: https://github.com/jasper-software/%{name}/archive/refs/tags/version-%{version}.tar.gz
Patch0001:fixed-CVE-2023-51257.patch
Patch0002:fixed-CVE-2024-31744.patch

# to resolve rpmbuild rpath check error,updated from a patch of fedora
Patch3000:patch0001-avoid-rpath-check.patch

# autoreconf
BuildRequires: gcc, make, cmake, pkgconfig, doxygen
BuildRequires: libjpeg-devel, git
BuildRequires: libXmu-devel, libXi-devel
%if %{with opengl}
BuildRequires: freeglut-devel, libGLU-devel, mesa-libGL-devel
%endif

Requires: %{name}-libs = %{version}-%{release}

%description
JasPer includes a software-based implementation of the codec specified in 
the JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1). The JasPer software
has been included in the JPEG-2000 Part-5 standard (i.e., ISO/IEC 15444-5),
as an official reference implementation of the JPEG-2000 Part-1 codec.


%package devel
Summary: Development package for libjasper
Provides: libjasper-devel = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
Requires: libjpeg-devel
Requires: pkgconfig

%description devel
This package provides development headers files and shared libraries for libjasper.


%package libs
Summary: Libraries for jasper

%description libs
This package provides libjasper,a library that implementation of the codec specified 
in the JPEG-2000 Part-1 image compression standard.


%prep
%autosetup -n %{name}-version-%{version} -Sgit -p1


%build
mkdir %{name}_build
%cmake  -B %{name}_build \
        -DCMAKE_INSTALL_DOCDIR=%{_docdir}/%{name} \
        -DALLOW_IN_SOURCE_BUILD=ON
%make_build -C %{name}_build


%install
%make_install -C %{name}_build


%check
make test -C %{name}_build


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%{_bindir}/*
%{_mandir}/man1/*.1.gz


%files devel
%{_docdir}/%{name}/*
%{_includedir}/jasper/
%{_libdir}/libjasper.so
%{_libdir}/pkgconfig/jasper.pc


%files libs
%license COPYRIGHT.txt LICENSE.txt
%doc NEWS.txt
%{_libdir}/libjasper.so.*


%changelog
* Fri Aug 23 2024 Zhao Zhen <jeremiazhao@tencent.com> - 4.0.0-6
- [Type] other
- [DESC] fiexed an auto-upgrade building error

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-5
- Rebuilt for loongarch release

* Mon May 27 2024 Zhao Zhen <jeremiazhao@tencent.com> - 4.0.0-4
- [Type] security
- [DESC] fixed CVE-2023-51257

* Mon Mar 25 2024 Zhao Zhen <jeremiazhao@tencent.com> - 4.0.0-3
- fixed-CVE-2023-51257

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 4.0.0-1
- upgrade to 4.0.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jun 17 2022 doriscchao <doriscchao@tencent.com> - 3.0.4-1
- initial build, Version 3.0.4, Release 1
